> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Frontend Get Feature

GET https://edge.unleash-instance.example.com/api/frontend/features/{feature_name}

Reference: https://docs.getunleash.io/api/frontend-get-feature

## Authentication

- `Authorization` header (required)

## Request

### Path parameters

- `feature_name` (string, required) — The name of the feature

### Query parameters

- `userId` (string, optional)
- `sessionId` (string, optional)
- `environment` (string, optional)
- `appName` (string, optional)
- `currentTime` (string, optional)
- `remoteAddress` (string, optional)
- `properties` (object, required)

## Response

### 200

Return evaluated state for a single feature

- `enabled` (boolean, required)
- `impressionData` (boolean, required)
- `impression_data` (boolean, required)
- `name` (string, required)
- `variant` (object, required)
  - `enabled` (boolean, required)
  - `name` (string, required)
  - `payload` (object, optional, nullable)
    - `type` (string, required)
    - `value` (string, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "enabled": true,
  "impressionData": true,
  "impression_data": true,
  "name": "new-checkout-flow",
  "variant": {
    "enabled": true,
    "name": "variantA",
    "payload": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow"

querystring = {"appName":"web-portal","currentTime":"2024-06-01T12:00:00Z","environment":"production","properties":"{\"browser\":\"chrome\",\"plan\":\"premium\",\"region\":\"us-east-1\"}","remoteAddress":"203.0.113.42","sessionId":"session-4567","userId":"user-7890"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://edge.unleash-instance.example.com/api/frontend/features/new-checkout-flow?appName=web-portal&currentTime=2024-06-01T12%3A00%3A00Z&environment=production&properties=%7B%22browser%22%3A%22chrome%22%2C%22plan%22%3A%22premium%22%2C%22region%22%3A%22us-east-1%22%7D&remoteAddress=203.0.113.42&sessionId=session-4567&userId=user-7890")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```